Skip to main content

Section

Method & Permission​

APIGETPOSTPUTPATCHDELETE
Section ListAdmin, Project Admin, Project Edit, Project ViewProject Admin*, Project Edit*---
Section DetailAdmin, Project Admin, Project Edit, Project View--Project Admin*, Project Edit*Admin**

*Section can not be posted/modified if row.is_locked=True, unless the widget can be added at the read-only

*Section can not be posted/modified if row.is_archived=True

**Only the section table can be deleted

GET Section List​

Endpoint: /tables/section/list/{level}/{sid}/{serializer}/

Need table__sid or row__sid.

Parameter: level (path, string)​

organization

Parameter: sid (path, string)​

organization sid

Parameter: serializer (path, string)​

one of [name, list, detail]

Parameter: token (header, string)​

Parameter: row__sid (query, string)​

Parameter: table__sid (query, string)​

Response: 200​

# serializer = name
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 6,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "Overview",
"widget___widget__sid": "xxx"
},
]
}
# serializer = list
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 6,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"name": "Overview",
"widget": {
"sid": "xxx",
"name": "Rich Text (CKEditor Classic) - Smart WYSIWYG HTML editor"
},
"description": "The short description of the experiment",
"price": "$0.00",
"is_archived": false,
"row": null,
"table": {
"sid": "xxx",
"name": "experiments"
},
"order": 1,
"change_permission": true
},
]
}
# serializer = detail
{
"page_size": 10,
"page_number": 1,
"page_count": 1,
"count": 6,
"next": null,
"previous": null,
"add_permission": true,
"results": [
{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"row": null,
"name": "Overview",
"description": "The short description of the experiment",
"widget": {
"sid": "xxx",
"icon": "format_color_text",
"name": "Rich Text (CKEditor Classic)",
"category": "Office",
"sub_category": "Text, Word, Docs",
"company": "Labii Inc.",
"notes": "Smart WYSIWYG HTML editor",
"description": "CKEditor is a WYSIWYG rich text editor which enables writing content directly inside of web pages or online applications. Its core code is written in JavaScript and it is developed by CKSource.",
"documentation_url": "https://docs.labii.com/widgets/office/text#rich-text-ckeditor-classic",
"usecase": "Protocol Steps; Experiment Overview; Descriptional Result;",
"type": "Section",
"constructor": "object",
"related_to": "Rich Text (CKEditor Balloon), Rich Text (Draft.js - deprecated), Plain Text, Google Docs, Microsoft Word, Microsoft Word (Personal), Microsoft Word (Business)",
"version": "1.00",
"release_date": "2020-04-19",
"order": "2.00",
"subscription_price": "Free",
"ppu_price": "0.15",
"allow_multiple": true,
"is_readonly": false,
"metadata_labels": "",
"data": "{\"html\": \"\"}",
"default_data": ""
},
"data": {

},
"order": 1,
"metadata": {

},
"is_archived": false,
"date_updated": "2020-02-10T03:02:27.029364Z",
"date_created": "2020-02-10T03:02:27.026207Z",
"updated_by": "xxx",
"change_permission": true
},
]
}

POST Section List​

Endpoint: /tables/section/list/{level}/{sid}/{serializer}/

Parameter: level (path, string)​

organization

Parameter: sid (path, string)​

organization sid

Parameter: serializer (path, string)​

one of [name, list, detail]

Parameter: token (header, string)​

Parameter: row__sid (query, string)​

Parameter: widget (body, object)​

Parameter: name (body, string)​

Parameter: description (body, string)​

Response: 201​

{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"row": null,
"name": "Overview",
"description": "The short description of the experiment",
"widget": {
"sid": "xxx",
"icon": "format_color_text",
"name": "Rich Text (CKEditor Classic)",
"category": "Office",
"sub_category": "Text, Word, Docs",
"company": "Labii Inc.",
"notes": "Smart WYSIWYG HTML editor",
"description": "CKEditor is a WYSIWYG rich text editor which enables writing content directly inside of web pages or online applications. Its core code is written in JavaScript and it is developed by CKSource.",
"documentation_url": "https://docs.labii.com/widgets/office/text#rich-text-ckeditor-classic",
"usecase": "Protocol Steps; Experiment Overview; Descriptional Result;",
"type": "Section",
"constructor": "object",
"related_to": "Rich Text (CKEditor Balloon), Rich Text (Draft.js - deprecated), Plain Text, Google Docs, Microsoft Word, Microsoft Word (Personal), Microsoft Word (Business)",
"version": "1.00",
"release_date": "2020-04-19",
"order": "2.00",
"subscription_price": "Free",
"ppu_price": "0.15",
"allow_multiple": true,
"is_readonly": false,
"metadata_labels": "",
"data": "{\"html\": \"\"}",
"default_data": ""
},
"data": {

},
"order": 1,
"metadata": {

},
"is_archived": false,
"date_updated": "2020-02-10T03:02:27.029364Z",
"date_created": "2020-02-10T03:02:27.026207Z",
"updated_by": "xxx",
"change_permission": true
}

Response: 406​

Error: missing table__sid
Error: The table (xxx) does not belong to the organization (xxx).
Error: Wrong row sid!
Error: The row (xxx) does not belong to the organization (xxx).
Error: Wrong widget sid!
Your organization does not have enough credits, contact sales@labii.com!
Error: You can not add multiple xxx widget per record.

GET Section Detail​

Endpoint: /tables/section/detail/{sid}/

Parameter: sid (path, string)​

Parameter: token (header, string)​

Response: 200​

{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"row": null,
"name": "Overview",
"description": "The short description of the experiment",
"widget": {
"sid": "xxx",
"icon": "format_color_text",
"name": "Rich Text (CKEditor Classic)",
"category": "Office",
"sub_category": "Text, Word, Docs",
"company": "Labii Inc.",
"notes": "Smart WYSIWYG HTML editor",
"description": "CKEditor is a WYSIWYG rich text editor which enables writing content directly inside of web pages or online applications. Its core code is written in JavaScript and it is developed by CKSource.",
"documentation_url": "https://docs.labii.com/widgets/office/text#rich-text-ckeditor-classic",
"usecase": "Protocol Steps; Experiment Overview; Descriptional Result;",
"type": "Section",
"constructor": "object",
"related_to": "Rich Text (CKEditor Balloon), Rich Text (Draft.js - deprecated), Plain Text, Google Docs, Microsoft Word, Microsoft Word (Personal), Microsoft Word (Business)",
"version": "1.00",
"release_date": "2020-04-19",
"order": "2.00",
"subscription_price": "Free",
"ppu_price": "0.15",
"allow_multiple": true,
"is_readonly": false,
"metadata_labels": "",
"data": "{\"html\": \"\"}",
"default_data": ""
},
"data": {

},
"order": 1,
"metadata": {

},
"is_archived": false,
"date_updated": "2020-02-10T03:02:27.029364Z",
"date_created": "2020-02-10T03:02:27.026207Z",
"updated_by": "xxx",
"change_permission": true
}

PATCH Section Patch​

Endpoint: /tables/section/detail/{sid}/

Parameter: sid (path, string)​

Parameter: token (header, string)​

Parameter: name (body, string)​

Parameter: description (body, string)​

Parameter: order (body, number)​

Parameter: data (body, object)​

Parameter: is_archived (body, boolean)​

Response: 200​

{
"sid": "xxx",
"table": {
"sid": "xxx",
"name": "experiments"
},
"row": null,
"name": "Overview",
"description": "The short description of the experiment",
"widget": {
"sid": "xxx",
"icon": "format_color_text",
"name": "Rich Text (CKEditor Classic)",
"category": "Office",
"sub_category": "Text, Word, Docs",
"company": "Labii Inc.",
"notes": "Smart WYSIWYG HTML editor",
"description": "CKEditor is a WYSIWYG rich text editor which enables writing content directly inside of web pages or online applications. Its core code is written in JavaScript and it is developed by CKSource.",
"documentation_url": "https://docs.labii.com/widgets/office/text#rich-text-ckeditor-classic",
"usecase": "Protocol Steps; Experiment Overview; Descriptional Result;",
"type": "Section",
"constructor": "object",
"related_to": "Rich Text (CKEditor Balloon), Rich Text (Draft.js - deprecated), Plain Text, Google Docs, Microsoft Word, Microsoft Word (Personal), Microsoft Word (Business)",
"version": "1.00",
"release_date": "2020-04-19",
"order": "2.00",
"subscription_price": "Free",
"ppu_price": "0.15",
"allow_multiple": true,
"is_readonly": false,
"metadata_labels": "",
"data": "{\"html\": \"\"}",
"default_data": ""
},
"data": {

},
"order": 1,
"metadata": {

},
"is_archived": false,
"date_updated": "2020-02-10T03:02:27.029364Z",
"date_created": "2020-02-10T03:02:27.026207Z",
"updated_by": "xxx",
"change_permission": true
}